valid=function(item){
    if(item==undefined ||	item=="" ){return false;}else{return true;}
}
exports.ISvalid=function(item){
    if(item==undefined ||	item=="" ){return false;}else{return true;}
}

exports.ISidcode=async function(item){
    if(item.length==10 && !isNaN(item)){
        var sum=0;
        for(s in item){
            if(s<9)
            sum+=item[s]*(10-s);
        }
        sum=sum%11;
        if((sum<2 && item[9]==sum) || ((11-item[9])==sum)){
            return true;
        }
    }
    return false;
}
exports.FISidcode=async function(item){
    if(valid(item) && !isNaN(item) && item.length==10){
        var sum=0;
        for(s in item){
            if(s<9)
            sum+=item[s]*(10-s);
        }
        sum=sum%11;
        if((sum<2 && item[9]==sum) || ((11-item[9])==sum)){
            return true;
        }
    }
    return false;
}   
exports.ISphone=async function(item){
    if(item.length==10 && item[0]=="9" && item*1>0){
        return true;
    }
    return false;
}
exports.FISphone=async function(item){
    if(valid(item) && item.length==11 && item[0]=="0" && item[1]=="9" && item*1>0){
        return true;
    }
    return false;
}
exports.ISemail=async function(item){
    var posAT=item.indexOf("@");
    var posDOT=item.indexOf("@");
    var len=item.length;
    if(len>8 && posAT>0 && posDOT>posAT+3 && len>posDOT+2){
        return true;
    }
    return false;
}
exports.FISemail=async function(item){
    var posAT=item.indexOf("@");
    var posDOT=item.indexOf("@");
    var len=item.length;
    if(valid(item) && len>8 && posAT>0 && posDOT>posAT+3 && len>posDOT+2){
        return true;
    }
    return false;
}
exports.ISint=async function(item){
    if(valid(item) && item.length==10 && item[0]=="9" && item*1>=0 && Math.ceil(item)==Math.floor(item)){
        return true;
    }
    return false;
}   
exports.ISint_c=async function(item,num){
    if(valid(item) && item.length==num && item[0]=="9" && item*1>=0 && Math.ceil(item)==Math.floor(item)){
        return true;
    }
    return false;
}  


exports.ISstring=async function(item,num){
    if(valid(item) && item.length>=num){
        return true;
    }
    return false;
} 
exports.TObool=async function(item){
    if(item=="true"){
        return true;
    }
    return false;
} 
exports.setVALUE=async function(value,type){
    switch(type){
        case 'string':
            value=value
            break;
        case 'bool':
            (value=="true")?value=true:value=false;
            break;
        case 'num':
            value=value*1
            break;
        case 'isarray':
            value=JSON.parse(value);
            break;
        case 'array':
            value=JSON.parse("["+value+"]");
            break;
        case 'object':
            value=JSON.parse("{"+value+"}");
            break;
    }
    return value;
} 


